const statusBarUI = {
	height: 0, //状态栏的高度
}

const navigationBarUI = {
	height: 0, //导航栏的高度
}

const scrollViewUI = {
	height1: 0, //只有导航栏时，scroll-view 的高度
	height2: 0, //有导航栏 和 底部 tabBar 时，scroll-view 的高度
	height3: 0, //有导航栏 和 底部 按钮 时，scroll-view 的高度
}

const statusViewUI = {
	width: 0, 
	height: 0, //只有导航栏时，scroll-view 的高度
	status: {
		loading: {
			value: "loading",
			src: "",
			text: "请稍候",
		},
		empty: {
			value: "empty",
			src: "/static/f/icon-empty.png",
			text: "暂无内容",
		},
		error: {
			value: "error",
			src: "/static/f/icon-error.png",
			text: "服务器开小差，请稍候再试",
		},
	}
}

const appUI = {
	screenWidth: 0,
	screenHeight: 0,
	saftBottom: 0,
}

function init() {
	let systemInfo = uni.getSystemInfoSync()
	// 导航栏高度固定为 44px，状态栏高度为 systemInfo.statusBarHeight
	appUI.screenWidth = systemInfo.screenWidth
	appUI.screenHeight = systemInfo.screenHeight
	appUI.saftBottom = systemInfo.safeAreaInsets.bottom
	statusBarUI.height = systemInfo.statusBarHeight
	navigationBarUI.height = statusBarUI.height + 44
	scrollViewUI.height1 = systemInfo.screenHeight - navigationBarUI.height - systemInfo.safeAreaInsets.bottom
	scrollViewUI.height2 = systemInfo.screenHeight - navigationBarUI.height - 44 - systemInfo.safeAreaInsets.bottom
	scrollViewUI.height3 = scrollViewUI.height2 - 5 // 5（px）是底部按钮存在的情况下，减去的5（px）是底部按钮的 padding-top 
	statusViewUI.width = systemInfo.screenWidth
	statusViewUI.height = systemInfo.screenHeight - navigationBarUI.height - 44 - systemInfo.safeAreaInsets.bottom
}

export default {
	appUI: appUI,
	navigationBarUI: navigationBarUI,
	statusViewUI: statusViewUI,
	scrollViewUI: scrollViewUI,
	init: init,
}